./devel/ocaml-migrate-parsetree, Migrate parse trees between versions of OCaml

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.4.0, Package name: ocaml-migrate-parsetree-1.4.0, Maintainer: jaapb

This library converts between parsetrees of different OCaml versions.


Required to run:
[lang/ocaml] [devel/ocaml-findlib] [devel/ocaml-result] [devel/ocaml-ppx_derivers] [devel/ocaml-dune]

Required to build:
[pkgtools/cwrappers] [devel/ocamlbuild] [misc/ocaml-opaline]

Master sites:

SHA1: 01a6947fa4e1832f304ceb8a0633fcaf5017d42f
RMD160: 1466325a53dcffd87739f5d10e7d6c30e33a393d
Filesize: 336.275 KB

Version history: (Expand)


CVS history: (Expand)


   2019-07-31 11:11:54 by Jaap Boender | Files touched by this commit (4) | Package updated
Log message:
Updated devel/ocaml-migrate-parsetree to 1.4.0

This adds support for OCaml 4.09 and has some other minor fixes.
   2019-05-09 10:41:34 by Jaap Boender | Files touched by this commit (4) | Package updated
Log message:
Updated devel/ocaml-migrate-parsetree to version 1.3.0.

This adds OCaml 4.08 compatibility.
   2019-03-05 17:33:41 by Jaap Boender | Files touched by this commit (4) | Package updated
Log message:
Updated devel/ocaml-migrate-parsetree to version 1.2.0.

The package is now compatible with dune 1.7.

Upstream changes are minor.
   2018-11-27 18:02:51 by Jaap Boender | Files touched by this commit (3) | Package updated
Log message:
Updated package devel/ocaml-migrate-parsetree to version 1.1.0.

The main change is that ppx rewriters can now specify when they should
be applied.

The package also uses dune.
   2018-11-12 17:10:29 by Jaap Boender | Files touched by this commit (141) | Package updated
Log message:
Revbumps associated with update of lang/ocaml.
   2018-07-19 17:15:31 by Jaap Boender | Files touched by this commit (190) | Package updated
Log message:
Recursive revbump associated with the update of lang/ocaml to 4.07.
   2018-05-09 16:39:58 by Jaap Boender | Files touched by this commit (4) | Package updated
Log message:
Updated devel/ocaml-migrate-parsetree to version 1.0.10.

This release adds support for OCaml 4.07 and fixes a minor issue.
   2018-04-04 21:12:53 by Jaap Boender | Files touched by this commit (4) | Package updated
Log message:
Updated devel/ocaml-migrate-parsetree to version 1.0.8

This version includes only minor bugfixes.